* {
    font-family: 'Roboto', sans-serif;
}

main {
    max-width: 1200px;
    margin: 0 auto;
}

.hero {
    display: grid;
    grid-template-columns: minmax(300px, 2fr) 3fr;
    grid-auto-rows: 550px;
    border-bottom: 1px solid #ddd;
}

.hero-image {
    width: 100%;
    height: 100%;
    object-fit: contain; /* Hace que la imagen se ajuste al espacio que le dieron */
}

.info {
    align-self: center;
}

.info-title {
    color: #333;
    font-size: 3rem;
    font-weight: bolder;
    margin-bottom: 24px;
}

.info-subtitle {
    color: #333;
    font-size: 1.5rem;
    margin-bottom: 24px;
}

.info-button {
    border: none;
    border-radius: 20px;
    color: #333;
    background-color: #fb8c00;
    font-weight: bolder;
    padding: 12px 24px;
}

.dishes {
    margin: 100px 0;
}

.dishes-title {
    color: #333;
    font-weight: bold;
    text-align: center;
    margin-bottom: 50px;
    font-size: 2rem;
}

.dishes-grid {
    display: grid;
    grid-template-columns: repeat(4, minmax(150px, 200px));
    grid-auto-rows: 1fr;
    gap: 25px;
    justify-content: center;
}

.dishes-item {
    width: 100%;
    height: 100%;
    object-fit: cover; /* las imagenes cubren toda la celda donde estan */
}

.dishes-item-big {
    grid-area: 1/1/3/3;
}

menu {
    margin-bottom: 200px;
}

.menu-title {
    font-size: 2rem;
    color: #333;
    font-weight: bolder;
    text-align: center;
    margin-bottom: 50px;
}

.menu-grid {
    display: grid;
    gap: 25px;
    justify-content: center;
    grid-template-columns: repeat(5, 150px);
}

.menu-grid-item {
    background-color: coral;
    border-top-left-radius: 20px ;
}

.menu-grid-item img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

@media screen and (max-width: 768px){
    .hero {
        grid-template-columns: minmax(300px, 500px);
        justify-content: center;
    }
    
    .hero-image {
        display: none;
    }

    .dishes-grid {
        grid-template-columns: repeat(auto-fit, minmax(75px, 100px));
    }
}


